List workflows

List workflows

Endpoint

GET https://embedworkflow.com/api/v1/workflows

Query Parameters

starting_after string, optional

Cursor for pagination - return results after this ID

ending_before string, optional

Cursor for pagination - return results before this ID

limit integer, optional

Number of items to return (max 100)

expand array, optional

Expand related objects

user_key string, optional

Unique user identifier

is_template boolean, optional

Filter workflows by is_template value

on boolean, optional

Filter workflows by on value

order_by string, optional

Field to order results by

Response

Returns successful.

Response Properties

collection array
meta object
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
{
  "collection": [
    {
      "id": "019d270f-e3b9-75b5-995e-a1dc7b701a76",
      "action_type_ids": [],
      "actions_count": 0,
      "created_at": "2026-03-25T18:14:06-04:00",
      "created_at_string": "Mar 25, 2026 06:14 pm EDT",
      "created_at_utc": "2026-03-25T22:14:06Z",
      "description": null,
      "event_trigger": null,
      "event_trigger_draft": null,
      "executions_count": 0,
      "has_draft": false,
      "is_managed": false,
      "key": "workflow_11",
      "last_executed_at": null,
      "last_executed_at_string": null,
      "last_executed_at_utc": null,
      "last_published_at": null,
      "last_published_at_string": null,
      "last_published_at_utc": null,
      "match_conditions": null,
      "match_conditions_draft": null,
      "name": "Workflow 11",
      "object": "workflow",
      "on": false,
      "status": "off",
      "trigger_conditions": {},
      "trigger_conditions_draft": {},
      "updated_at": "2026-03-25T18:14:06-04:00",
      "updated_at_string": "Mar 25, 2026 06:14 pm EDT",
      "updated_at_utc": "2026-03-25T22:14:06Z"
    },
    {
      "id": "019d270f-e3b8-7c75-bafd-7f02124e2c99",
      "action_type_ids": [],
      "actions_count": 0,
      "created_at": "2026-03-25T18:14:06-04:00",
      "created_at_string": "Mar 25, 2026 06:14 pm EDT",
      "created_at_utc": "2026-03-25T22:14:06Z",
      "description": null,
      "event_trigger": null,
      "event_trigger_draft": null,
      "executions_count": 0,
      "has_draft": false,
      "is_managed": false,
      "key": "workflow_10",
      "last_executed_at": null,
      "last_executed_at_string": null,
      "last_executed_at_utc": null,
      "last_published_at": null,
      "last_published_at_string": null,
      "last_published_at_utc": null,
      "match_conditions": null,
      "match_conditions_draft": null,
      "name": "Workflow 10",
      "object": "workflow",
      "on": false,
      "status": "off",
      "trigger_conditions": {},
      "trigger_conditions_draft": {},
      "updated_at": "2026-03-25T18:14:06-04:00",
      "updated_at_string": "Mar 25, 2026 06:14 pm EDT",
      "updated_at_utc": "2026-03-25T22:14:06Z"
    }
  ],
  "meta": {
    "page_limit": 25,
    "has_next_page": false,
    "has_previous_page": false
  }
}